Bug 907340 (CVE-2013-0443) - CVE-2013-0443 OpenJDK: insufficient Diffie-Hellman public key checks (JSSE, 7192392)
Summary: CVE-2013-0443 OpenJDK: insufficient Diffie-Hellman public key checks (JSSE, 7...
Status: CLOSED ERRATA
Alias: CVE-2013-0443
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130201,repor...
Keywords: Security
Depends On:
Blocks: 906729
TreeView+ depends on / blocked
 
Reported: 2013-02-04 07:24 UTC by Tomas Hoger
Modified: 2019-06-08 19:24 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-12 09:23:54 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0236 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2013-02-05 04:53:12 UTC
Red Hat Product Errata RHSA-2013:0237 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-02-05 04:53:02 UTC
Red Hat Product Errata RHSA-2013:0245 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2013-02-09 00:35:08 UTC
Red Hat Product Errata RHSA-2013:0246 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-02-09 00:12:22 UTC
Red Hat Product Errata RHSA-2013:0247 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-02-09 00:24:43 UTC
Red Hat Product Errata RHSA-2013:0624 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:15:47 UTC
Red Hat Product Errata RHSA-2013:0625 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-15 00:15:10 UTC
Red Hat Product Errata RHSA-2013:0626 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-15 00:14:33 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC

Description Tomas Hoger 2013-02-04 07:24:28 UTC
It was discovered that JSSE component in OpenJDK did not properly validate Diffie-Hellman public keys.  A malicious SSL/TLS client could use this flaw to perform a small subgroup attack on the Diffie-Hellman protocol, resulting in weak session key to be negotiated for the connection, or possibly disclose portions of the server's Diffie-Hellman private key.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpufeb2013-1841061.html

Comment 1 Tomas Hoger 2013-02-04 16:23:55 UTC
Upstream commit, as included in IcedTea7 repositories:

http://icedtea.classpath.org/hg/release/icedtea7-forest-2.3/jdk/rev/496bced2d275

Comment 2 errata-xmlrpc 2013-02-04 23:56:03 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0237 https://rhn.redhat.com/errata/RHSA-2013-0237.html

Comment 3 errata-xmlrpc 2013-02-04 23:57:22 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0236 https://rhn.redhat.com/errata/RHSA-2013-0236.html

Comment 4 errata-xmlrpc 2013-02-08 19:16:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0246 https://rhn.redhat.com/errata/RHSA-2013-0246.html

Comment 5 errata-xmlrpc 2013-02-08 19:27:20 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0247 https://rhn.redhat.com/errata/RHSA-2013-0247.html

Comment 6 errata-xmlrpc 2013-02-08 19:37:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0245 https://rhn.redhat.com/errata/RHSA-2013-0245.html

Comment 7 Tomas Hoger 2013-02-14 10:13:58 UTC
Fixed in upstream IcedTea versions IcedTea6 1.11.6, and 1.12.1, and IcedTea7 2.1.5, 2.2.5, and 2.3.6:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021708.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021728.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021905.html
http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-February/021876.html

Note that version 2.3.5 was tagged in upstream mercurial including the security fixes, but was not released.  Only 2.3.6 was released, correcting problem introduced by security patches as included in 2.3.5.

Comment 8 errata-xmlrpc 2013-03-11 18:49:24 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0624 https://rhn.redhat.com/errata/RHSA-2013-0624.html

Comment 9 errata-xmlrpc 2013-03-11 19:00:14 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0626 https://rhn.redhat.com/errata/RHSA-2013-0626.html

Comment 10 errata-xmlrpc 2013-03-11 19:05:00 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0625 https://rhn.redhat.com/errata/RHSA-2013-0625.html

Comment 11 errata-xmlrpc 2013-10-23 16:38:20 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 12 errata-xmlrpc 2013-10-23 16:49:48 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.